Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class ChangeDomainTypeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeDomainTypeRequest`

public static final class ChangeDomainTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeDomainTypeRequest`
  `build()`
  `ChangeDomainTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeDomainTypeRequest.Builder`
  `description(String description)`
  The new description for the Domain Type.
  `ChangeDomainTypeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the Domain Type to be changed.
  `ChangeDomainTypeRequest.Builder`
  `name(String name)`
  The new name for the Domain Type.
  `ChangeDomainTypeRequest.Builder`
  `parentId(UUID parentId)`
  The ID of the new parent for the Domain Type.
  `ChangeDomainTypeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Domain Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeDomainTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeDomainTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public ChangeDomainTypeRequest.Builder id(UUID id)
    Required. The ID of the Domain Type to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### publicId

    public ChangeDomainTypeRequest.Builder publicId(String publicId)
    The new public id for the Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### name

    public ChangeDomainTypeRequest.Builder name(String name)
    The new name for the Domain Type.
    Returns:
      `this`.

  - ### description

    public ChangeDomainTypeRequest.Builder description(String description)
    The new description for the Domain Type.
    Returns:
      `this`.

  - ### parentId

    public ChangeDomainTypeRequest.Builder parentId(UUID parentId)
    The ID of the new parent for the Domain Type.
    Returns:
      `this`.

  - ### build

    public ChangeDomainTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`